net.corda.core.contracts

## Class TransactionVerificationException.DuplicateInputStates

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.DuplicateInputStates

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicateInputStates(LedgerTransaction tx, java.util.Set<net.corda.core.contracts.StateRef> duplicates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<net.corda.core.contracts.StateRef>` | `getDuplicates()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### DuplicateInputStates

          public DuplicateInputStates(LedgerTransaction tx,
                                      java.util.Set<net.corda.core.contracts.StateRef> duplicates)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getDuplicates

          public java.util.Set<net.corda.core.contracts.StateRef> getDuplicates()